List SSH key credentials
import requests
url = "https://platform.ankra.app/api/v1/credentials/scaleway/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/credentials/scaleway/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/credentials/scaleway/ssh-keys \
--header 'Authorization: Bearer <token>'[
{
"available": true,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "<string>",
"provider": "<string>",
"system": true,
"updated_at": "2023-11-07T05:31:56Z",
"account_login": "<string>",
"account_type": "<string>",
"co_tenant_count": 123,
"health": {
"consecutive_failures": 123,
"state": "healthy",
"last_error_class": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z"
},
"installation_id": 123,
"last_synced_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"repository_count": 123,
"repository_selection": "<string>",
"state": "<string>",
"syncing": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Scaleway / Kapsule
List SSH key credentials
GET
/
api
/
v1
/
credentials
/
scaleway
/
ssh-keys
List SSH key credentials
import requests
url = "https://platform.ankra.app/api/v1/credentials/scaleway/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/credentials/scaleway/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/credentials/scaleway/ssh-keys \
--header 'Authorization: Bearer <token>'[
{
"available": true,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "<string>",
"provider": "<string>",
"system": true,
"updated_at": "2023-11-07T05:31:56Z",
"account_login": "<string>",
"account_type": "<string>",
"co_tenant_count": 123,
"health": {
"consecutive_failures": 123,
"state": "healthy",
"last_error_class": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z"
},
"installation_id": 123,
"last_synced_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"repository_count": 123,
"repository_selection": "<string>",
"state": "<string>",
"syncing": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
SSH key credentials retrieved successfully
Show child attributes
Show child attributes